<?php
/**
 * MDataRole class file.
 *
 * @author Vadim Kruchkov <long@phargo.net>
 * @link https://github.com/phargo/phaMProject
 * @copyright Copyright &copy; 2011 PhArgo.net
 * @license Dual licensed under the MIT or GPL Version 2 licenses:
 *      - https://github.com/phargo/phaMProject/blob/master/MIT-LICENSE
 *      - https://github.com/phargo/phaMProject/blob/master/GPL-LICENSE
 * @package phaMProject
 * @subpackage jQConstant
 */

/**
 * MDataRole defines constants for blocks role in jQuery Mobile
 *
 * @author Vadim Kruchkov <long@phargo.net>
 * @package phaMProject
 * @subpackage jQConstant
 */
class MDataRole {

    /**
     * Defines constant for build navigation bar
     * @see http://jquerymobile.com/demos/1.0a4.1/docs/toolbars/docs-navbar.html
     *
     * @var string
     */
    const NAV_BAR = 'navbar';

    /**
     * Defines constant for content block in page
     * @see http://jquerymobile.com/demos/1.0a4.1/#docs/pages/docs-pages.html
     *
     * @var string
     */
    const CONTENT = 'content';

    /**
     * Defines constant for footer block in page
     * @see http://jquerymobile.com/demos/1.0a4.1/#docs/pages/docs-pages.html
     *
     * @var string
     */
    const FOOTER = 'footer';

    /**
     * /**
     * Defines constant for header block in page
     * @see http://jquerymobile.com/demos/1.0a4.1/#docs/pages/docs-pages.html
     *
     * @var string
     */
    const HEADER = 'header';

    /**
     * Defines constant for page block in page
     * One HTML page may contain a few mobile page, each in its own block.
     * @see http://jquerymobile.com/demos/1.0a4.1/#docs/pages/docs-pages.html
     *
     * @var string
     */
    const PAGE = 'page';

    /**
     * Defines constant for element "button"
     * @see http://jquerymobile.com/demos/1.0a4.1/#docs/buttons/buttons-types.html
     *
     * @var string
     */
    const BUTTON = 'button';

    /**
     * Defines constant for group block
     * @see http://jquerymobile.com/demos/1.0a4.1/#docs/buttons/buttons-grouped.html
     *
     * @var string
     */
    const CONTROL_GROUP = 'controlgroup';

    /**
     * Defines constant for button, opening dialog page
     * @see http://jquerymobile.com/demos/1.0a4.1/docs/pages/docs-dialogs.html
     *
     * @var string
     */
    const DIALOG = 'dialog';

    /**
     * Define constant for group fieldcontain
     *
     * @var string
     */
    const FIELD_CONTAIN = 'fieldcontain';
}