<?php
/**
 * MIcons class file.
 *
 * @author Vadim Kruchkov <long@phargo.net>
 * @link https://github.com/phargo/phaMProject
 * @copyright Copyright &copy; 2011 PhArgo.net
 * @license Dual licensed under the MIT or GPL Version 2 licenses:
 *      - https://github.com/phargo/phaMProject/blob/master/MIT-LICENSE
 *      - https://github.com/phargo/phaMProject/blob/master/GPL-LICENSE
 * @package phaMProject
 * @subpackage jQConstant
 */

/**
 * MIcons defines constants for icons in jQuery Mobile elements
 *
 * @author Vadim Kruchkov <long@phargo.net>
 * @package phaMProject
 * @subpackage jQConstant
 */
class MIcons {

    /**
     * Defines constant for left arrow icon
     *
     * @var string
     */
    const ARROW_LEFT = 'arrow-l';

    /**
     * Defines constant for right arrow icon
     *
     * @var string
     */
    const ARROW_RIGHT = 'arrow-r';

    /**
     * Defines constant for up arrow icon
     *
     * @var string
     */
    const ARROW_UP = 'arrow-u';

    /**
     * Defines constant for down arrow icon
     *
     * @var string
     */
    const ARROW_DOWN = 'arrow-d';

    /**
     * Defines constant for Delete icon
     *
     * @var string
     */
    const DELETE = 'delete';

    /**
     * Defines constant for plus icon
     *
     * @var string
     */
    const PLUS = 'plus';

    /**
     * Defines constant for minus icon
     *
     * @var string
     */
    const MINUS = 'minus';

    /**
     * Defines constant for check icon
     *
     * @var string
     */
    const CHECK = 'check';

    /**
     * Defines constant for gear icon
     *
     * @var string
     */
    const GEAR = 'gear';

    /**
     * Defines constant for refresh icon
     *
     * @var string
     */
    const REFRESH = 'refresh';

    /**
     * Defines constant for forward icon
     *
     * @var string
     */
    const FORWARD = 'forward';

    /**
     * Defines constant for back icon
     *
     * @var string
     */
    const BACK = 'back';

    /**
     * Defines constant for grid icon
     *
     * @var string
     */
    const GRID = 'grid';

    /**
     * Defines constant for star icon
     *
     * @var string
     */
    const STAR = 'star';

    /**
     * Defines constant for alert icon
     *
     * @var string
     */
    const ALERT = 'alert';

    /**
     * Defines constant for information icon
     *
     * @var string
     */
    const INFO = 'info';

    /**
     * Defines constant for position icon on left from text
     *
     * @var string
     */
    const POSITION_LEFT = 'left';

    /**
     * Defines constant for position icon on right from text
     *
     * @var string
     */
    const POSITION_RIGHT = 'right';

    /**
     * Defines constant for position icon on top from text
     *
     * @var string
     */
    const POSITION_TOP = 'top';

    /**
     * Defines constant for position icon on bottom from text
     *
     * @var string
     */
    const POSITION_BOTTOM = 'bottom';

    /**
     * Defines constant for icon without text
     *
     * @var string
     */
    const POSITION_NO_TEXT = 'notext';
}